//
//  AppDelegate.h
//  OSX_QtsHttp_Sample
//
//  Created by Lawrence on 2013/11/27.
//  Copyright (c) 2013年 Lawrence. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "QtsHttp.framework/Headers/QtsHttp.h"
#import "QtsHttp.framework/Headers/QtsHttpComm.h"
#import "QtsHttp.framework/Headers/QtsHttpFileStation.h"
#import "QtsHttp.framework/Headers/QtsHttpSystem.h"

@interface AppDelegate : NSObject <NSApplicationDelegate, NSTableViewDataSource, NSTableViewDelegate>
{
    //// Layout
    IBOutlet NSTextField* tfIPAddress;
    IBOutlet NSTextField* tfPort;
    IBOutlet NSTextField* tfUserName;
    IBOutlet NSTextField* tfPassword;
    IBOutlet NSTableView* tblLocalSystem;
    IBOutlet NSTableView* tblNasSystem;
    IBOutlet NSTextField* lblProgress;
    
    IBOutlet NSButton*    btnAccess;
    
    __weak NSButton *_sslEnable;
    //// Variables instance definition
    QNQtsHttpServerInfo*  serverInfo;
    QNQtsHttpServer*          server;
    
    NSString*             rootPathOfLocalFileSystem;
    NSString*             currentLocalLocationPath;
    NSString*             currentNasLocationPath;
    NSMutableArray*       tableLocalDateSource;
    NSMutableArray*       tableNasDateSource;
    
    int                   isAbort;
}

@property (assign) IBOutlet NSWindow *window;

-(IBAction)access:(id)sender;
-(IBAction)upload:(id)sender;
-(IBAction)download:(id)sender;
-(IBAction)stop:(id)sender;

@property (weak) IBOutlet NSButton *sslEnable;
@end
